| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Static Public Member Functions | Static Public Attributes
Fling::Random Class Reference

`#include <Random.h>`

## Static Public Member Functions
static bool | Init ()
| Initialize the random number generator More...
static const int | Random0ToN (const int t_max)
| Get a random int between 0 and the max More...
static const int | RandomBetween (const int t_min, const int t_max)
| Generate a random number between the two given values More...
static glm::vec3 | GetRandomVec3 (const glm::vec3 t_Min, const glm::vec3 t_Max)
static float | GetRandomFloat (float t_Min, float t_Max)

## Static Public Attributes
static bool | bIsInitalized = false
| Flag to determine if random has been initialized. More...

## Member Function Documentation

## ◆ GetRandomFloat()

float Fling::Random::GetRandomFloat | ( | float | t_Min,
|  | float | t_Max
| ) |  |
| static

## ◆ GetRandomVec3()

glm::vec3 Fling::Random::GetRandomVec3 | ( | const glm::vec3 | t_Min,
|  | const glm::vec3 | t_Max
| ) |  |
| static

## ◆ Init()

bool Fling::Random::Init | ( |  | ) |
| static

Initialize the random number generator

Returns
  True if successful

## ◆ Random0ToN()

const int Fling::Random::Random0ToN | ( | const int | t_max | ) |
| static

Get a random int between 0 and the max

Parameters

  t_max | Max number to generate to

Returns
  Number between 0 and the given

## ◆ RandomBetween()

const int Fling::Random::RandomBetween | ( | const int | t_min,
|  | const int | t_max
| ) |  |
| static

Generate a random number between the two given values

Parameters

  t_min | Min number to gerneate between
  t_max | Max number to generate between

Returns
  Random int between the two values

## Field Documentation

## ◆ bIsInitalized

bool Fling::Random::bIsInitalized = false
| static

Flag to determine if random has been initialized.

The documentation for this class was generated from the following files:

- FlingEngine/Utils/inc/Random.h
- FlingEngine/Utils/src/Random.cpp